package com.gyee.alarm.service.auto.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.gyee.alarm.model.auto.ProEconEarlyReportConclusio;
import com.gyee.alarm.mapper.auto.ProEconEarlyReportConclusioMapper;
import com.gyee.alarm.model.auto.ProEconPowerstationInfoDay2;
import com.gyee.alarm.service.auto.IProEconEarlyReportConclusioService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.ArrayList;
import java.util.List;
import java.util.stream.Collectors;

/**
 * <p>
 * 预警报告结论 服务实现类
 * </p>
 *
 * @author shilin
 * @since 2023-09-05
 */
@Service
public class ProEconEarlyReportConclusioServiceImpl extends ServiceImpl<ProEconEarlyReportConclusioMapper, ProEconEarlyReportConclusio> implements IProEconEarlyReportConclusioService {


    public List<ProEconEarlyReportConclusio> getListByPart(List<String> partList) {
        List<ProEconEarlyReportConclusio> collect=new ArrayList<>();
        if (partList != null &&  !partList.isEmpty()) {
            QueryWrapper<ProEconEarlyReportConclusio> qw = new QueryWrapper<>();
            qw.in("part",partList);
            collect = list(qw);
        }
        return collect;

    }
}
